commit 4da37662868dcfd8ec23ad9d7f643ef014b1a42b
Author: Heiko Schlichting <heiko@fu-berlin.de>
Date:   Fri Jan 12 21:43:54 2024 +0000

    Eximon: handle new-format message IDs
    
    Broken-by: 46a36afae4

diff --git a/src/exim_monitor/em_hdr.h b/src/exim_monitor/em_hdr.h
index feffa6bfc..f79686a80 100644
--- a/src/exim_monitor/em_hdr.h
+++ b/src/exim_monitor/em_hdr.h
@@ -190,7 +190,7 @@ typedef struct queue_item {
   int  update_time;
   int  size;
   uschar *sender;
-  uschar name[17];
+  uschar name[MESSAGE_ID_LENGTH + 1];
   uschar seen;
   uschar frozen;
   uschar dir_char;
diff --git a/src/exim_monitor/em_log.c b/src/exim_monitor/em_log.c
index 55925d786..fbcb6b1c0 100644
--- a/src/exim_monitor/em_log.c
+++ b/src/exim_monitor/em_log.c
@@ -108,7 +108,9 @@ length = Ustrlen(buffer);
 #ifdef ANONYMIZE
   {
   uschar *p = buffer + 9;
-  if (p[6] == '-' && p[13] == '-') p += 17;
+  if (  p[MESSAGE_ID_TIME_LEN] == '-'
+     && p[MESSAGE_ID_TIME_LEN + MESSAGE_ID_PID_LEN + 1] == '-')
+      p += MESSAGE_ID_LENGTH + 1;
 
   while (p < buffer + length)
     {

